<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <!--<classPathEntry-->
    <!--location="mysql-connector-java-5.1.21.jar"/>-->
    <properties resource="config.properties"></properties>
    <context id="hsdataplatform" targetRuntime="MyBatis3">
        <commentGenerator>
            <property name="suppressDate" value="true"/>
            <property name="suppressAllComments" value="true"/>
        </commentGenerator>

        <jdbcConnection driverClass="${jdbc.sentry.driverClassName}"
                        connectionURL="${jdbc.sentry.url}"
                        userId="${jdbc.sentry.username}"
                        password="${jdbc.sentry.password}">
            <property name="useInformationSchema" value="true"></property>
        </jdbcConnection>

        <javaModelGenerator targetPackage="com.lightinit.hsdatashow.entity"
                            targetProject="src/main/java">
            <property name="enableSubPackages" value="true"/>
            <property name="trimStrings" value="true"/>
        </javaModelGenerator>

        <sqlMapGenerator targetPackage="sqlmaps"
                         targetProject="src/main/resources">
            <property name="enableSubPackages" value="true"/>
        </sqlMapGenerator>

        <javaClientGenerator targetPackage="com.lightinit.hsdatashow.mapper"
                             targetProject="src/main/java" type="XMLMAPPER">
            <property name="enableSubPackages" value="true"/>
        </javaClientGenerator>
        <!--以下是要映射的表 schema为库名 tableName为表名-->
        <!--<table schema="mt_db" tableName="magazinebase"></table>-->
        <!--以上是要映射的表 schema为库名 tableName为表名-->
        <!--<table tableName="admin">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="admin_role">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="age_structure">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="apply">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="average_expected_rate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="average_lifetime">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="cacheserver">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="criminal_offence_put_on_record_rate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="criminal_offence_rate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="dependency_ratio">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="deployserver">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="dictionary">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="dictionary_group">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="facility">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="menu">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="mian_monitored_coverage_rate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="module_action">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="obj_category">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="organization">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
       <!-- <table tableName="police_manning">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="population_region">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="population_summary">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="precipitation">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="precipitation_aggregate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="product">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="product_log">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="queueserver">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="region">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="region_put_on_record_rate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="role_module">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="role_module_action">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="sector">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="securekey">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="sentry_action">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="sentry_role">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="sewage_discharge">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="solrserver">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="user_module">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="versionfile">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_consumption_per_capita">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_resource_aggregate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_source_quality_analysis">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_storage_aggregate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_supply_aggregate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_supply_main">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="greening">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="educational_portrait">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="health_care_plan">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="traffic_travel">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="public_security">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="cultural_facilities">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="spread">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="consumption">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="industry">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="output_value_ratio">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="gdp">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="per_capita_gdp">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="gdp_occupation_ratio">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->

        <!--<table tableName="urbanization">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="coefficient">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="unemployment">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="urban_rural_gdp">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="urban_rural_contrast">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="quality">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="urban_rural_gdp">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="urban_rural_contrast">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="quality">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->


        <!--<table tableName="energy_consumption">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="garbage_treatment">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="garbage_region">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="garbagedanger_region">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="garbage_trend">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="garbagedanger_trend">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="energy_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="energy_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
       <!-- <table tableName="clean_pollute_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table> -->
        <!--<table tableName="newenergy_infrastructure">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
      <!-- <table tableName="coal_consume">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!-- <table tableName="electric_consume">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
       <!-- <table tableName="tv_wifi">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_communication_break">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="fiber">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_communication_break_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_communication_break">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="video_monitor">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="rd_personnel">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="scientists_engineers">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="technical_products">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="patent_authorization">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="service_expenditure">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="years_education">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="social_security">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="child_mortality">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="social_safety">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="consume">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="environmental_quality">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="environmental_governance_gdp">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="deal_with_the_standard">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="rd_personnel">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="technical_products">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="patent_authorization">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="scientists_engineers">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="comprehensive">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="public_sentiment">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="industrial_accident_death">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="industrial_accident_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="industrial_accident_ranking">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="industrial_accident_tendency">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="register_legal_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
       <!-- <table tableName="register_legal_tendency">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!--<table tableName="criminal_register_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="traffic_accident_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="traffic_accident_tendency">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="traffic_accident_ranking">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
       <!-- <table tableName="traffic_accident_distribution">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!--<table tableName="traffic_accident_complete">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_fire_proportion">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_fire_tendency">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_fire_ranking">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="area_fire_distribution">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!--<table tableName="atmosphere_emission">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="atmosphere_gasification">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="atmosphere_index">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="atmosphere_industry">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="atmosphere_year">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="waterquality_city_handle">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="waterquality_focus">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="waterquality_handle">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="waterquality_industry">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="waterquality_surface">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="coefficient">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>--><!--<table tableName="coefficient">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="green_build">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="green_city">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="green_distribution">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="green_forest">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="green_forest_distribution">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_garbage">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_garbage_ranking">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_harmless_wc">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_sewage">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_sewage_ranking">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_water">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="countryside_wc">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="solidwaste_classification">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="solidwaste_danger">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="solidwaste_industry">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="solidwaste_life">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="noise_region">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="street_lamp">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
       <!-- <table tableName="air_quality_index">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
       <!-- <table tableName="area_air_pollution_index">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!--<table tableName="communal">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_all_city">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="water_all_county">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="district_county">-->
        <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
       <!-- <table tableName="project">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!-- <table tableName="project_accident_analyse">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!-- <table tableName="project_analyse">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!--<table tableName="project_statistics">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
        <!-- <table tableName="project_type">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->
         <!--<table tableName="traffic_monitor">
            <generatedKey column="id" sqlStatement="MySql" identity="true"/>
        </table>-->

        <!--topic-water-->
        <!--<table tableName="st_water_available">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_available_estimate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_consumer">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_consumer_consumption">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_consumption">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_dry_days">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_flood_control_monitoring_station">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_groundwater">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_groundwater_monitoring_station">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_inflow">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_inflow_estimate">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_lake">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_lake_water_level">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_project">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_rainfall">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_rainfall_monitoring_station">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_reservoir">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_reservoir_consumption">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_reservoir_impoundage">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_river">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_river_region">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_river_water_level">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_rural_central_supply_population">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_rural_investment">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_rural_population">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_water_supply">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->
        <!--<table tableName="st_waterr_rural_project">-->
            <!--<generatedKey column="id" sqlStatement="MySql" identity="true"/>-->
        <!--</table>-->


    </context>
</generatorConfiguration>